/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.FactureClt;

import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher Ben Tili
 */
public class FactureCltGestionList {
    
    private final SimpleStringProperty CodeFacture;
    private final SimpleStringProperty TypeClient;
    private final SimpleStringProperty CodeClient;
    private final SimpleStringProperty Mode;
    private final SimpleStringProperty Total;
    private final SimpleStringProperty CodeCommande;
    private final SimpleStringProperty DateCreation;



    public FactureCltGestionList(String CodeFacture, String TypeClient, String CodeClient, String Mode,String Total, String CodeCommande, String Date) {
        this.CodeFacture = new SimpleStringProperty(CodeFacture);
        this.TypeClient = new SimpleStringProperty(TypeClient);
        this.CodeClient = new SimpleStringProperty(CodeClient);
        this.Mode = new SimpleStringProperty(Mode);
        this.Total = new SimpleStringProperty(Total);
        this.CodeCommande = new SimpleStringProperty(CodeCommande);
        this.DateCreation = new SimpleStringProperty(Date);
    }


    public String getCodeFacture() {
        return CodeFacture.get();
    }
    
    public String getCodeClient() {
        return CodeClient.get();
    }
    
    public String getMode() {
        return Mode.get();
    }
    
    public String getTotal() {
        return Total.get();
    }
    
    public String getCodeCommande() {
        return CodeCommande.get();
    }
    
    public String getTypeClient() {
        return TypeClient.get();
    }
    
    public String getDateCreation() {
        return DateCreation.get();
    }
    
}